%define name acua
%define version 3.00
%define release 1mdk

Group: Utilities/System
Name: %{name}
Packager: Adam McKee
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Summary: Access Control and User Administration.
URL: http://acua.gist.net.au
Version: %{version}
Copyright: GPL
Buildroot: /var/tmp/%{name}-buildroot

%Description 
ACUA is designed to facilitate the administration of Linux 
systems hosting modem pools.  ACUA's high-level goals are: 
	o to automate the enforcement of access restrictions 
	o to automate (as much as possible) user administration tasks 
	o to provide accounting information 
	o to collect and provide useful statistics

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
make dep
make

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 {acua,acua_bytes,acua_stats,acua_viewRec} $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 doc/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/acua
install -m 755 lib/* $RPM_BUILD_ROOT/usr/lib/acua/
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/acua/record
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/acua/record/archive
install -m 644 libacua.so.2 $RPM_BUILD_ROOT/usr/lib/
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 {acua117-200,acua200-202,acua_adduser} $RPM_BUILD_ROOT/usr/sbin/
install -m 755 {acua_deluser,acua_login,acua_logout} $RPM_BUILD_ROOT/usr/sbin/
install -m 755 {acua_updated,acua_verify,clean_proc,clean_tmp} $RPM_BUILD_ROOT/usr/sbin/



%post
ldconfig

%postun
ldconfig

%files
%defattr (-,root,root)
%dir /usr/doc/%{name}-%{version}
/usr/lib/libacua.so.2
/usr/bin/acua
/usr/bin/acua_stats
/usr/bin/acua_bytes
/usr/bin/acua_viewRec
%dir /usr/lib/acua
%config /usr/lib/acua/clean_proc.config
%config /usr/lib/acua/clean_tmp.config
%config /usr/lib/acua/acua.config
%config /usr/lib/acua/acua_login.busy
%config /usr/lib/acua/acua_login.data_period
%config /usr/lib/acua/acua_login.default
%config /usr/lib/acua/acua_login.lock
%config /usr/lib/acua/acua_login.max_logins
%config /usr/lib/acua/acua_login.session_wait
%config /usr/lib/acua/acua_login.time_class
%config /usr/lib/acua/acua_login.time_period
%config /usr/lib/acua/acua_login.upgrade_access
%config /usr/lib/acua/acua_updated.busy
%config /usr/lib/acua/acua_updated.data_period
%config /usr/lib/acua/acua_updated.data_session
%config /usr/lib/acua/acua_updated.footer
%config /usr/lib/acua/acua_updated.header
%config /usr/lib/acua/acua_updated.idle
%config /usr/lib/acua/acua_updated.time_class
%config /usr/lib/acua/acua_updated.time_period
%config /usr/lib/acua/acua_updated.time_session
%config /usr/lib/acua/acua_updated.upgrade_access
%config /usr/lib/acua/acua_updated.warn_boot
%config /usr/lib/acua/acua_updated.warn_expire
%config /usr/lib/acua/acua_viewRec
%dir /usr/lib/acua/record
%dir /usr/lib/acua/record/archive
%config /usr/sbin/acua_adduser
%config /usr/sbin/acua_deluser
/usr/sbin/acua117-200
/usr/sbin/acua200-202
/usr/sbin/acua_login
/usr/sbin/acua_logout
/usr/sbin/acua_updated
/usr/sbin/acua_verify
/usr/sbin/clean_proc
/usr/sbin/clean_tmp

%changelog
* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v 3.00
- mandrake build


